summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-04-08 20:59:22 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-04-08 23:10:46 +0200
commitf1677714164a7061d7413acbac69381703971412 (patch)
tree73adabbf813b6d23b96e6b788ff645f215c55ae7 /media-libs
parentmedia-libs/vigra: EAPI-7 bump (diff)
downloadgentoo-f1677714164a7061d7413acbac69381703971412.tar.gz
gentoo-f1677714164a7061d7413acbac69381703971412.tar.bz2
gentoo-f1677714164a7061d7413acbac69381703971412.zip
media-libs/vigra: Fix USE fftw, jpeg, png, tiff (automagic, unused)
Bug: https://bugs.gentoo.org/665380 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/vigra/vigra-9999.ebuild17
1 files changed, 13 insertions, 4 deletions
diff --git a/media-libs/vigra/vigra-9999.ebuild b/media-libs/vigra/vigra-9999.ebuild
index 120f0cc2429..13ec1ef25a5 100644
--- a/media-libs/vigra/vigra-9999.ebuild
+++ b/media-libs/vigra/vigra-9999.ebuild
@@ -59,12 +59,25 @@ pkg_setup() {
}
src_prepare() {
+ vigra_disable() {
+ if ! use ${1}; then
+ sed -e "/^VIGRA_FIND_PACKAGE.*${2:-$1}/Is/^/#disabled by USE=${1}: /" \
+ -i CMakeLists.txt || die "failed to disable ${1}"
+ fi
+ }
+
cmake-utils_src_prepare
if [[ ${PV} != *9999 ]]; then
rm -r doc || die "failed to remove shipped docs"
fi
+ vigra_disable fftw fftw3
+ vigra_disable fftw fftw3f
+ vigra_disable jpeg
+ vigra_disable png
+ vigra_disable tiff
+
# Don't use python_fix_shebang because we can't put this behind USE="python"
sed -i -e '/env/s:python:python2:' config/vigra-config.in || die
}
@@ -79,11 +92,7 @@ src_configure() {
-DDOCINSTALL="share/doc/${P}"
-DLIBDIR_SUFFIX="${libdir/lib}"
-DUSE_DOC=$(usex doc ON OFF) # unused
- -DUSE_FFTW3=$(usex fftw ON OFF) # unused
- -DUSE_JPEG=$(usex jpeg ON OFF) # unused
-DUSE_MPI=$(usex mpi ON OFF) # unused
- -DUSE_PNG=$(usex png ON OFF) # unused
- -DUSE_TIFF=$(usex tiff ON OFF) # unused
-DWITH_HDF5=$(usex hdf5 ON OFF)
-DWITH_OPENEXR=$(usex openexr ON OFF)
-DWITH_VALGRIND=$(usex valgrind ON OFF)